#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.7
visibility:           public
id:                   hOpenPGP-2.9.7-Cfklmme4wfQB5roAUV3sQH
key:                  hOpenPGP-2.9.7-Cfklmme4wfQB5roAUV3sQH
license:              MIT
copyright:            2012-2021  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  22bd615cf122a2836e9c3c02a04cce7f
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/hOpenPGP-2.9.7
hs-libraries:         HShOpenPGP-2.9.7-Cfklmme4wfQB5roAUV3sQH
depends:
    aeson-1.5.6.0-3UkULX00zZS4WfonZkjdLx
    asn1-encoding-0.9.6-hjjIFrN1pxBoiVWveCltN
    attoparsec-0.14.3-HnQCbV25WQCBysTZL2pI8w base-4.15.1.0
    base16-bytestring-1.0.2.0-6TYcQmCggRDBNs9e0oUW0N
    bifunctors-5.5.11-BHAagNESmOItc4aKZCzE9 binary-0.8.8.0
    binary-conduit-1.3.1-Dd5QXww1PDMHza6s0IYA0J bytestring-0.10.12.1
    bz2-1.0.1.0-wCZpwdqoS86CHg2NJdPF5
    conduit-1.3.4.2-CqoOPzbG2c9FX4HafAw3yR
    conduit-extra-1.3.5-IWmRqYf3NXfJ5KCzBVN1bH containers-0.6.4.1
    crypto-cipher-types-0.0.9-5N4axHKyRQVIupbgQzXmgc
    cryptonite-0.29-F73X5cb4KpaA5YQwsDP2gi
    errors-2.3.0-AMf4swi6TfI2g0Jb1DBx7t
    hashable-1.3.5.0-9wAI1WS8YgI32PWp14SUvr
    incremental-parser-0.5.0.2-IQl7ifWZnYxIBO57ncNfRF
    ixset-typed-0.5-6k1eIxoCrTXI4nrUlSX7z3
    lens-5.1-Cmoo8L2uehqG61W0cJ4kp5
    memory-0.16.0-FBfJqtDB5FTKsDjiBBMycd
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-JKs1V88W3oPKG1OO8yAu5o
    network-uri-2.6.4.1-Gg7nkUUDIaJHdU1ywJPJ6t
    openpgp-asciiarmor-0.1.2-4qKd0yvgFqiBmGZaQ6RYla
    prettyprinter-1.7.1-1ms861bwgMa2qawN2WN8kV
    resourcet-1.2.4.3-BdQWxecSYgHjEuNhxaS4D
    split-0.2.3.4-2NsPiysuQqHcuBh1vNQIl text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.15.0-A9lfnG18S4ZIYaUhdODrkP
    zlib-0.6.2.3-DDUcd2ZUrsu8atWK9empNV

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

